/*
   last change: $Revision: 232 $ $Author: rony $ $Date: 2008-06-01 13:08:01 +0200 (Sun, 01 Jun 2008) $

   license:

    ------------------------ Apache Version 2.0 license -------------------------
       Copyright (C) 2001-2008 Rony G. Flatscher

       Licensed under the Apache License, Version 2.0 (the "License");
       you may not use this file except in compliance with the License.
       You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0

       Unless required by applicable law or agreed to in writing, software
       distributed under the License is distributed on an "AS IS" BASIS,
       WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
       See the License for the specific language governing permissions and
       limitations under the License.
    -----------------------------------------------------------------------------
*/

   -- get the "System" class object using the services set up by "BSF.CLS", e.g. ".bsf4rexx"
system=bsf.loadClass('java.lang.System')  -- use routine "bsf.loadClass(...)"
properties=system~getProperties  -- get the System properties
enum=properties~propertyNames    -- get an Enumeration of the property names

do while enum~hasMoreElements    -- loop over enumeration
   key=enum~nextElement          -- get next element
   say "key:" left("["key"]", 30) "value: ["properties~getProperty(key)"]"
end

::requires BSF.CLS      -- get the BSF4Rexx support for ooRexx
